Subject: bug#72779: closed (Re: bug#72779: EGLOT pyright bug)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Aug 2024 11:40:02 +0000

Your bug report

#72779: EGLOT pyright bug

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72779: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72779
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72779: EGLOT pyright bug
From: Eli Zaretskii <[email-masked]>
To: Johann De Waal <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 29 Aug 2024 14:38:03 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Johann De Waal <[email-masked]>
> Date: Sat, 24 Aug 2024 12:12:57 +0200
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> Hello, thank you for your swift responses.
> 
> Following the 'emacs -Q' advice I was able to pinpoint the problem.
> 
> I had the following in my configs.
>   (add-to-list 'eglot-server-programs
>            '(python-mode . ("pyright"))
> which had to be
>   (add-to-list 'eglot-server-programs
>            '(python-mode . ("pyright-langserver" "--stdio")))
> 
> I had set it in this erroneous manner because I was experimenting with mypy.

Thanks to both of you.  I'm therefore closing this bug.

Subject: EGLOT pyright bug
From: Johann De Waal <[email-masked]>
To: [email-masked]
Date: Fri, 23 Aug 2024 18:44:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Good day, I hope you are well.

I've got a bug to report for eglot.

To reproduce is quite simple, I run eglot in a python buffer and it
immediately exits with message 'exited abnormally with code 1'.

Some notes.
1. Running pyright in the command line works as expected.
2. Pyright was installed using "npm install -g pyright".
   node -v = v20.16.0
   pyright --version = 1.1.377

I've also attached some the logs from the eglot buffer.

Thank you for your time and your work on eglot. Please let me know if
I can improve my bug report in any way.

Kind regards.